diff deploy/linux/fix-lintian-bits.sh @ 700:21e4df9865af

Some work on Linux packaging
author Chris Cannam
date Wed, 12 Dec 2018 10:16:11 +0000
parents
children cd4617b18960
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/deploy/linux/fix-lintian-bits.sh	Wed Dec 12 10:16:11 2018 +0000
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+dir=$1
+
+[ -d "$dir" ] || exit 1
+
+set -eu
+
+strip "$dir"/usr/bin/*
+
+sz=`du -sx --exclude DEBIAN "$dir" | awk '{ print $1; }'`
+perl -i -p -e "s/Installed-Size: .*/Installed-Size: $sz/" "$dir"/DEBIAN/control
+
+find "$dir" -name \*~ -exec rm \{\} \;
+
+chown -R root.root "$dir"/*
+
+chmod -R g-w "$dir"/*